Bug 192632 - CVE-2006-2444 SNMP NAT netfilter memory corruption
Summary: CVE-2006-2444 SNMP NAT netfilter memory corruption
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-22 08:19 UTC by Marcel Holtmann
Modified: 2014-06-18 08:29 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0617
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 18:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0617 normal SHIPPED_LIVE Important: kernel security update 2006-08-22 04:00:00 UTC

Description Marcel Holtmann 2006-05-22 08:19:15 UTC
The SNMP NAT helper netfilter can cause a memory corruption. The corruption can
be triggered remotely when the ip_nat_snmp_basic module is loaded and traffic on
port 161 or 162 is NATed.

Proposed upstream fix can be found here:

https://lists.netfilter.org/pipermail/netfilter-devel/2006-May/024422.html

Comment 1 Ernie Petrides 2006-06-15 21:57:52 UTC
Downgrading impact to moderate due to "unlikely configuration".

Comment 4 Jason Baron 2006-08-07 18:52:51 UTC
committed in stream E5 build 42.0.1

Comment 7 Red Hat Bugzilla 2006-08-22 18:48:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0617.html


Comment 8 Jason Baron 2006-08-30 17:52:50 UTC
committed in stream U5 build 42.4. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/



Note You need to log in before you can comment on or make changes to this bug.